%define	name	gnugo
%define	version	3.6
%define	release %mkrel 3

Summary:	Text based go program
Name:		%{name}
Version:	%{version}
Release:	%{release}
License: 	GPL
Group: 		Games/Boards
URL:		http://www.gnu.org/software/gnugo/gnugo.html
Source: 	http://ftp.gnu.org/gnu/gnugo/gnugo-3.6.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  %{_lib}ncurses-devel
BuildRequires:  texinfo
Requires: info
Requires: %{_lib}ncurses5


%description
This software is a free program that plays the game of Go. GNU Go has played
thousands of games on the NNGS Go server. GNU Go is now also playing regularly
on the Legend Go Server in Taiwan and the WING server in Japan.

%prep
%setup -q

%build
%configure  --prefix=%{_prefix} --enable-color
%make

%install
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=gnugo
Comment=Classic Game of Go
Exec=%{name}
Icon=boards_section.png
Terminal=true
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Boards;
EOF




%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT




%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO THANKS doc/newlogo.jpg doc/oldlogo.jpg
%doc %{_mandir}/man6/*
%{_bindir}/*
%{_infodir}/gnugo.*
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Sep 02 2011 Texstar <texstar at gmail.com> 3.6-3pclos2011
- rebuild

* Sat May 02 2009 pcserver <pcserver@hushmail.com> 3.6-2pclos2009
- fix synaptic group

* Sun Nov 11 2007 Paul Grinberg <gri6507@yahoo.com> 3.6-1pclos2007
- Rebuild for PCLinuxOS 2007

* Mon Oct  9 2006 Michel Salim <michel.salim@gmail.com> 3.6-5
- Rebuild for FE6

